#include <stdio.h>
#include <stdlib.h>

int cmpfunc (const void * a, const void * b) {
   return ( *(int*)a - *(int*)b );
}

int main () {
  int n1,n2;
  scanf("%d%d",&n1,&n2);
  int napici[n1];

  for( int i=0; i<n1; i++){
    scanf("%d",&napici[i]);
  }
  qsort(napici, n1, sizeof(int), cmpfunc);
  int poc=n2/2;
  int kraj=n2/2+n2%2;
  int zb=0;
  for(int i=0;i<kraj;i++){
    zb=zb+napici[n1-1-i];
  }
  for(int i=0;i<poc;i++){
    zb=zb-napici[i];
  }
  printf("%d\n",zb);
}